Main Page Widgets Namespaces Book

# cellrenderer.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::CellRenderer
| CellRenderers are used by Gtk::TreeView columns to render the Gtk::TreeModel column data appropriately. More...

## Enumerations

enum | CellRendererState { CELL_RENDERER_SELECTED = 1 << 0, CELL_RENDERER_PRELIT = 1 << 1, CELL_RENDERER_INSENSITIVE = 1 << 2, CELL_RENDERER_SORTED = 1 << 3, CELL_RENDERER_FOCUSED = 1 << 4 }
enum | CellRendererMode { CELL_RENDERER_MODE_INERT, CELL_RENDERER_MODE_ACTIVATABLE, CELL_RENDERER_MODE_EDITABLE }

## Functions

CellRendererState | operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState | operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState | operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState | operator~ (CellRendererState flags)
CellRendererState& | operator|= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState& | operator&= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState& | operator^= (CellRendererState& lhs, CellRendererState rhs)